* {
  font-family: 'Albert sans-serif';
}


body {
  font-family: 'Albert sans-serif';
  margin: 0;
  padding: 0;
  background-color: #f9fafb;
  color: #1f2937;
}

.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.container p {
  flex: 1;
  flex-basis: 30%;
  border: 1px solid #4a50fc;
  border-radius: 5px;
  margin: 4px;
  padding: 5px;
}


.header {
  padding: 20px;
  position: relative;
  text-align: center;
  margin: 10px;
  border-radius: 10px;
  background-image: url("/static/assets/image/02.png");
  background-position: center center;
  background-size: 100%;
}

.step .info-box.hidden {
  display: none;
}

.hidden {
  display: none;
}

.header h1 {
  margin: 0;
  font-size: 2rem;
}

.flex-center {
  display: flex;
  margin: auto;
}


.message {
  padding: 15px 20px;
  margin: 10px;
  border-radius: 10px;
}

.message p {
  text-align: justify;
  margin: auto;
  max-width: 600px;
  padding: 1em;
  background-color: #4a50fc9a;
  border-left: 7px solid #4a50fc;
  border-radius: 1em;
  color: white;
}

.message.success {
  background-color: #e0fbe3;
  color: #065f46;
  border-left: 7px solid #10b981;
}

.message.error {
  background-color: #eb6464a2;
  color: #5f0606;
  border-left: 7px solid #eb6464;
}

.message.info {
  background-color: #e0e7fb;
  color: #06255f;
  border-left: 7px solid #1067b9;
}

.message.intro {
  color: #5f4a06;
}

.step {
  padding: 20px;
  margin: 10px;
  border: 1px solid #e5e7eb;
  border-radius: 5px;
}

.step h2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.25rem;
}

.step .h2content {
  display: flex;
  justify-content: right;
  align-items: center;
  font-size: 1.25rem;
}

.right-panel div .right-panel-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1em;
}

.step .info-box {
    display: flex;
}


.side-tag {
  background-color: #f7f7f7;
  padding: 2px 8px;
  border-radius: 12px;
  font-size: 0.75rem;
}

.side-tag.box {
  background-color: #f3f4f6;
}

.binary-area {
  width: 100%;
  height: 100px;
  background-color: #f0f0f0;
  font-family: monospace;
  padding: 10px;
  border: none;
  margin-top: 10px;
}

button {
  background-color: #1e3a8a;
  color: white;
  border: none;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 1rem;
}

button:hover {
  background-color: #2563eb;
}

#spinner {
  font-size: 2em;
}

.sticky {
  
  position: sticky;
  position: -webkit-sticky;
  top: 1em;
}

.console {
    font-family: monospace;
    background-color: #ffffff;
    padding: 10px;
    border-radius: 8px;
    max-height: 600px;
    white-space: pre-wrap;
    overflow: scroll;
    border: 1px solid #d1d5db;
  }

.console .output {
    margin: 10px;
  }

.main-container {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 20px;
  }
  
  .left-panel {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #f3f4f6;
    border: 1px solid #e5e7eb;
    border-radius: 8px;
  }
  
  .right-panel {
    flex: 1;
    background-color: #f3f4f6;
    border: 1px solid #e5e7eb;
    border-radius: 8px;
    padding: 20px;
  }
  
  
  
  @media (max-width: 768px) {
    .main-container {
      flex-direction: column;
    }
  }

  .blurred {
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px); /* for Safari */
    background-color: rgba(255, 255, 255, 0.6);
    padding: 30px;
    margin: 20px;
    border-radius: 12px;
    cursor: pointer;
    text-align: center;
    font-size: 1.2rem;
    color: transparent;
    text-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
    position: relative;
  }
  
  .blur-text {
    pointer-events: none;
  }
  
  .revealed {
    background: #e0f2fe;
    /* margin: 20px; */
    padding: 20px;
    border: 1px solid rgba(125, 212, 252, 0.767);
    border-radius: 10px;
    font-size: 1.25rem;
    color: #0c4a6e;
    text-align: center;
  }
  

  


  .reveal-section {
    margin: 20px;
    text-align: center;
  }
  
  button {
    background-color: #4a50fc;
    color: white;
    padding: 10px 16px;
    font-size: 1rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  button:hover {
    background-color: #4247db;
  }
  
  .data-box {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 1s ease, opacity 1s ease;
    background-color: #f3f4f6;
    margin: 0px;
    padding: 0px;
    border-radius: 10px;
  }
  
  .data-box.show {
    max-height: fit-content;
    opacity: 1;
    padding: 20px;
  }
  

.container div {
  flex: 1;
  flex-basis: 30%;
  border: 1px solid #1f2937;
  border-radius: 5px;
  margin: 4px;
  padding: 5px;
}